libpomegranate-clojure_1.1.0+really-2_all.deb


Advertisement

Description

libpomegranate-clojure - dependency resolution and repository handling library for Clojure

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libpomegranate-clojure_1.1.0+really-2_all.deb
Package name libpomegranate-clojure
Package version 1.1.0+really
Package release 2
Package architecture all
Package type deb
Category java
Homepage https://github.com/cemerick/pomegranate
License -
Maintainer Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Download size 24.27 KB
Installed size 59.00 KB
pomegranate provides a Clojure interface to sonatype-aether. It supports the
following features from Aether:
*Dependency resolution and common dependency graph/hierarchy manipulation
operations.
*Local installation of artifacts.
*Remote deployment.
*Repository authentication.
*HTTP proxy configuration.
*Offline mode.
It also allows provides dynamic inclusion of libraries in the classpath
whether the libraries are installed or have to be retrieved from a repository.

Alternatives

Package Version Architecture Repository
libpomegranate-clojure_1.1.0+really-2_all.deb 1.1.0+really all Debian Main
libpomegranate-clojure - - -

Requires

Name Value
libclojure-java -
libcommons-codec-java -
libcommons-io-java -
libcommons-lang3-java -
libcommons-logging-java -
libdynapath-clojure -
libguava-java -
libhttpclient-java >= 4.5.7
libhttpcore-java -
libjsoup-java -
libmaven-resolver-java >= 1.3.1
libmaven-resolver-transport-http-java >= 1.3.1
libmaven3-core-java >= 3.6.0
libplexus-component-annotations-java >= 1.7.1
libplexus-interpolation-java >= 1.24
libplexus-utils2-java >= 3.0.24
libslf4j-java -
libwagon-http-java -
libwagon-provider-api-java >= 3.3.1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libpomegranate-clojure_1.1.0+really-2_all.deb
Source Package pomegranate-clojure

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpomegranate-clojure deb package:
    # sudo apt-get install libpomegranate-clojure

Files

Path
/usr/share/doc/libpomegranate-clojure/README.md.gz
/usr/share/doc/libpomegranate-clojure/changelog.Debian.gz
/usr/share/doc/libpomegranate-clojure/changelog.gz
/usr/share/doc/libpomegranate-clojure/copyright
/usr/share/java/pomegranate-1.1.0.jar
/usr/share/java/pomegranate.jar
/usr/share/maven-repo/com/cemerick/pomegranate/1.1.0/pomegranate-1.1.0.jar
/usr/share/maven-repo/com/cemerick/pomegranate/1.1.0/pomegranate-1.1.0.pom
/usr/share/maven-repo/com/cemerick/pomegranate/debian/pomegranate-debian.jar
/usr/share/maven-repo/com/cemerick/pomegranate/debian/pomegranate-debian.pom

Changelog

2019-04-19 - Elana Hashman <ehashman@debian.org>
pomegranate-clojure (1.1.0+really-2) unstable; urgency=medium
* Autopkgtests should use clojure, not clojure1.8 (Closes: #927423)
2019-03-02 - Elana Hashman <ehashman@debian.org>
pomegranate-clojure (1.1.0+really-1) unstable; urgency=medium
* Depend on Clojure (1.10), not 1.8
* Missed the actual upstream 1.1.0 release commit, oops (Closes: #923211)
2019-02-04 - Elana Hashman <ehashman@debian.org>
pomegranate-clojure (1.1.0-1) unstable; urgency=medium
* New upstream release.
* Assert compliance with latest policy.
2018-03-23 - Elana Hashman <ehashman@debian.org>
pomegranate-clojure (1.0.0-2) unstable; urgency=medium
[ Tom Marble ]
* Change libclojure from Build-Dep to Dep
* Declare compliance with Debian Policy 4.1.3.
[ Elana Hashman ]
* Switch Vcs links over to salsa. (tomatillo)
* Remove Eugenio to Uploaders.
* Maven builds require libclojure as builddep, use 1.8.
2017-11-14 - Elana Hashman <ehashman@debian.org>
pomegranate-clojure (1.0.0-1) unstable; urgency=medium
* New upstream release
2017-11-13 - Emmanuel Bourg <ebourg@apache.org>
pomegranate-clojure (0.4.0-4) unstable; urgency=medium
* Team upload.
* New dependency on the libmaven-resolver-transport-http-java package
2017-11-10 - Emmanuel Bourg <ebourg@apache.org>
pomegranate-clojure (0.4.0-3) unstable; urgency=medium
* Team upload.
* Depend on libwagon-http-java and libwagon-ssh-java instead of libwagon2-java
2017-10-14 - Elana Hashman <ehashman@debian.org>
pomegranate-clojure (0.4.0-2) unstable; urgency=medium
* Include plexus dependencies (which are optional deps of maven-resolver).
2017-10-13 - Elana Hashman <ehashman@debian.org>
pomegranate-clojure (0.4.0-1) unstable; urgency=medium
* Update classpath to ensure all Java dependencies are included.
* Import new upstream version 0.4.0.
2017-08-07 - Elana Hashman <debian@hashman.ca>
pomegranate-clojure (0.4.0~alpha1-2) unstable; urgency=medium
* Bump standards version to 4.0.0.
* Release to unstable.

See Also

Package Description
libpomp-dev_1.1+dfsg-7_i386.deb OpenMP Pragma And Region Instrumentor - development files
libpomp0_1.1+dfsg-7_i386.deb OpenMP Pragma And Region Instrumentor - shared library
libpomp2-dev_2.0.4-1_i386.deb OpenMP Pragma And Region Instrumentor - development files
libpomp2-doc_2.0.4-1_all.deb OpenMP Pragma And Region Instrumentor - documentation
libpoppler-cil-dev_0.0.3-4_all.deb PDF rendering library -- CLI development files
libpoppler-cil_0.0.3-4_all.deb PDF rendering library -- CLI bindings
libpoppler-cpp-dev_0.71.0-5_i386.deb PDF rendering library -- development files (CPP interface)
libpoppler-cpp0v5_0.71.0-5_i386.deb PDF rendering library (CPP shared library)
libpoppler-dev_0.71.0-5_i386.deb PDF rendering library -- development files
libpoppler-glib-dev_0.71.0-5_i386.deb PDF rendering library -- development files (GLib interface)
libpoppler-glib-doc_0.71.0-5_all.deb PDF rendering library -- documentation for the GLib interface
libpoppler-glib8_0.71.0-5_i386.deb PDF rendering library (GLib-based shared library)
libpoppler-private-dev_0.71.0-5_i386.deb PDF rendering library -- private development files
libpoppler-qt5-1_0.71.0-5_i386.deb PDF rendering library (Qt 5 based shared library)
libpoppler-qt5-dev_0.71.0-5_i386.deb PDF rendering library -- development files (Qt 5 interface)
Advertisement
Advertisement